%define	module	requests
%define	urllib3_unbundled_version	1.13.1

Name:		python-%{module}
Version:	2.9.1
Release:	%mkrel 1
Summary:	Python HTTP for Humans
License:	Apache License
Group:		Development/Python
Url:		http://python-requests.org/
Source0:	https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
# From Fedora Explicitly use the system certificates in ca-certificates.
# https://bugzilla.redhat.com/show_bug.cgi?id=904614
Patch0:		python-requests-system-cert-bundle.patch
# From Fedora Remove an unnecessary reference to a bundled compat lib in urllib3
Patch1:		python-requests-remove-nested-bundling-dep.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(chardet)
BuildRequires:	pythonegg(2)(urllib3) == %{urllib3_unbundled_version}
BuildRequires:	pythonegg(2)(backports.ssl-match-hostname)

Requires:	rootcerts
Requires:	pythonegg(2)(chardet)
Requires:	pythonegg(2)(urllib3) == %{urllib3_unbundled_version}
Requires:	pythonegg(2)(backports.ssl-match-hostname)

%description
Requests allow you to send HTTP/1.1 requests. You can add headers,
form data, multipart files, and parameters with simple Python
dictionaries, and access the response data in the same way. It's
powered by httplib and urllib3, but it does all the hard work and
crazy hacks for you.

%package -n	python3-%{module}
Summary:	HTTP library, written in Python, for human beings
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(chardet)
BuildRequires:	pythonegg(3)(urllib3) == %{urllib3_unbundled_version}

Requires:	pythonegg(3)(chardet)
Requires:	pythonegg(3)(urllib3) == %{urllib3_unbundled_version}
Requires:	rootcerts

%description -n	python3-%{module}
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Unbundle the certificate bundle from mozilla.
rm -rf requests/cacert.pem

cp -a . %{py3dir}

%build
pushd %{py3dir}
python3 setup.py build
# Unbundle chardet and urllib3.  We replace these with symlinks to system libs.
rm -rf build/lib/requests/packages/chardet
rm -rf build/lib/requests/packages/urllib3
popd

python setup.py build
# Unbundle chardet and urllib3.  We replace these with symlinks to system libs.
rm -rf build/lib/requests/packages/chardet
rm -rf build/lib/requests/packages/urllib3

%install
pushd %{py3dir}
python3 setup.py install --root=%{buildroot}
ln -sf ../../chardet %{buildroot}/%{python3_sitelib}/requests/packages/chardet
ln -sf ../../urllib3 %{buildroot}/%{python3_sitelib}/requests/packages/urllib3
popd

python setup.py install --root=%{buildroot}
ln -sf ../../chardet %{buildroot}/%{python_sitelib}/requests/packages/chardet
ln -sf ../../urllib3 %{buildroot}/%{python_sitelib}/requests/packages/urllib3

%files
%doc NOTICE LICENSE README.rst HISTORY.rst
%{python_sitelib}/%{module}-%{version}-py%{python_version}.egg-info
%{python_sitelib}/%{module}/

%files -n python3-%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{module}/
